Copyright: distributable
Source: rhl-ig-x86-en.tbz
Release: 1
Name: rhl-ig-x86-en
Group: Documentation
Version: 7.2
Summary: The Red Hat Linux %{version} x86 Installation Guide in HTML format.
Obsoletes: rhl-install-guide-en rhl-ig rhl-ig-en 
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The rhl-ig-en package contains the Red Hat Linux %{version}
x86 Installation Guide in HTML format.  An online copy of the Red Hat
Linux %{version} x86 Installation Guide is available from the Red Hat Software
web page at http://www.redhat.com.

Install the rhl-ig-x86-en package if you would like to use
an HTML version of the x86 Installation Guide from your own machine.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Documentation/"Official Red Hat Linux"/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Red Hat Linux x86 Installation Guide (en)
Comment=The manual for installing Red Hat Linux (in English, on x86)
Exec=/usr/bin/netscape file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/usr/share/pixmaps/redhat/shadowman-round-mini.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir /etc/X11/applnk/Documentation
%dir "/etc/X11/applnk/Documentation/Official Red Hat Linux"
"/etc/X11/applnk/Documentation/Official Red Hat Linux/%{name}.desktop"
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Thu Aug 30 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.2

* Mon Aug 27 2001 Edward C. Bailey <ed@redhat.com>
- Freshen for next beta

* Thu Aug  9 2001 Edward C. Bailey <ed@redhat.com>
- Respin for 7.1.94

* Thu Jul 26 2001 Edward C. Bailey <ed@redhat.com>
- Modified to internally generate .desktop file

* Wed Mar 14 2001 Edward C. Bailey <ed@redhat.com>
- Final build

* Fri Mar 09 2001 Edward C. Bailey <ed@redhat.com>
- Build w/updated content

* Thu Mar 01 2001 Edward C. Bailey <ed@redhat.com>
- Build for another beta

* Mon Feb 19 2001 Edward C. Bailey <ed@redhat.com>
- Minor content changes

* Wed Feb 14 2001 Edward C. Bailey <ed@redhat.com>
- build for second public beta

* Tue Jan 16 2001 Sandra A Moore <smoore@redhat.com>
- build for beta cycle, post beta2

* Tue Jul 25 2000 Edward C. Bailey <ed@redhat.com>
- Updated content

* Tue Jul 18 2000 Edward C. Bailey <ed@redhat.com>
- Macro-ize references to build and doc dirs, and revamp menu structure

* Mon Jul 03 2000 Edward C. Bailey <ed@redhat.com>
- Update to 7.0, and get rid of wmconfig cruft

* Fri Feb 18 2000 Edward C. Bailey <ed@redhat.com>
- update to 6.2 installation guide

* Tue Sep 14 1999 Edward C. Bailey <ed@redhat.com>
- update to 6.1 installation guide

* Wed Apr 14 1999 Bill Nottingham <notting@redhat.com>
- update to 6.0 installation guide

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Sun Oct 11 1998 Bill Nottingham <notting@redhat.com>
- update for 5.2

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Wed May  6 1998 Edward C. Bailey <ed@redhat.com>
- Updated for 5.1

* Fri Nov  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entry that calls $BROWSER with index.html

* Thu Nov  6 1997 Otto Hammersmith <otto@redhat.com>
- created spec file
